ISC BIND Control Channel Denial of Service Vulnerability (Linux)

Information

Severity

Severity

Low

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

3.5

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:S/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

5 years ago

Modified

Modified

3 years ago

Summary

The host is installed with ISC BIND and is prone to denial of service vulnerability.

Insight

Insight

The flaw exists due to a feature in named which allows operators to issue commands to a running server by communicating with the server process over a control channel, using a utility program such as rndc.

Affected Software

Affected Software

ISC BIND 9.9.9 through 9.9.9-P7, 9.9.10b1 through 9.9.10rc2, 9.10.4 through 9.10.4-P7, 9.10.5b1 through 9.10.5rc2, 9.11.0 through 9.11.0-P4, 9.11.1b1 through 9.11.1rc2, 9.9.9-S1 through 9.9.9-S9 on Linux.

Detection Method

Detection Method

Checks if a vulnerable version is present on the target host.

Solution

Solution

Upgrade to ISC BIND version 9.9.9-P8 or 9.10.4-P8 or 9.11.0-P5 or 9.9.9-S10 or 9.9.10rc3 or 9.10.5rc3 or 9.11.1rc3 or later on Linux.

Common Vulnerabilities and Exposures (CVE)

Get started for free to scan for vulnerabilities

Companies of all sizes use Mageni to scan their assets for vulnerabilities. Mageni is free for 7-days then $39 USD Monthly regardless of how many IPs, scans, deployments or users you have. Cancel at Anytime and 7-days Money-Back Guarantee. Developed and supported by certified CompTIA PenTest+ professionals. Mageni contributes 1% of your subscription to removing CO₂ from the atmosphere.

Get Started For Free
App screenshot